### Function

# Foundry json_parser_load_from_file

#### Declaration [src]

    DexFuture*
    foundry_json_parser_load_from_file (
      JsonParser* parser,
      GFile* file
    )

#### Description [src]

Loads `file` into `parser` and returns a future that resolves when that has completed.

#### Parameters

`parser`

  Type: `JsonParser`

  A `JsonParser`.

  The data is owned by the caller of the function.

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a boolean.

The caller of the function takes ownership of the data, and is responsible for freeing it.